%bcond_with usplash

Summary: UserUI tools for Software Suspend 2
Name: userui-suspend2
Version: 0.6.4
Release: 4.%{disttag}.cubbi2
License: GPL
Group: Applications/System
Packager: Matthias Hensler <matthias@wspse.de>
URL: http://suspend2.net/
Source0: http://suspend2.net/downloads/all/suspend2-userui-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: libpng-devel >= 1.2.0, libjpeg-devel, freetype-devel >= 2.1.0, zlib-devel, libmng-static, libmng-devel, lcms-devel, libjpeg-static, freetype-static
Obsoletes: swsusp2-userui
Provides: swsusp2-userui = %{version}

Patch1: suspend2-userui-0.4.0-fc4-compile-fix.patch
Patch2: suspend2-userui-0.6.4-static.patch
Patch3: suspend2-userui-0.6.4-errno.patch
Patch4: suspend2-userui-0.6.4-syscall.patch
Patch5: suspend2-userui-0.6.4-no-usplash.patch
Patch6: suspend2-userui-0.6.4-send_ack.patch

%define usplash 0
%if %{with usplash}
%define usplash 1
%endif

%ifnarch x86_64 %{ix86}
%define usplash 0
%endif

%description
Starting with version 2.1.8.6 there is a new method for displaying the progress
on suspend and resume with Software Suspend 2.
This package includes the tool for displaying progress on the text console.
To use this you need a software suspend 2 enabled kernel.
Recent kernels as well as documentation can be found on
http://mhensler.de/swsusp/

%package fbsplash
Requires: userui-suspend2
Obsoletes: swsusp2-userui-fbsplash
Provides: swsusp2-userui-fbsplash = %{version}
Summary: Tool for the framebuffer console
Group: Applications/System
%description fbsplash
This package includes the tool for displaying progress on the framebuffer
console.
To use this you need a software suspend 2 enabled kernel with fbsplash.

%prep
%setup -n suspend2-userui-%{version}
%patch1 -p1 -b .compile-fix
%patch2 -p1 -b .static
%patch3 -p1 -b .errno
%patch4 -p1 -b .syscall
%if !%{usplash}
%patch5 -p1 -b .no-usplash
%endif
%patch6 -p1 -b .send-ack
perl -pi -e's, -o root -g root,,' Makefile

%build
make
%if %{usplash}
strip -s suspend2ui_usplash
%endif
strip -s suspend2ui_fbsplash
strip -s suspend2ui_text

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/splash
mkdir -p $RPM_BUILD_ROOT/sbin
INSTDIR=$RPM_BUILD_ROOT/sbin make -e install

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc ChangeLog KERNEL_API README TODO USERUI_API
/sbin/suspend2ui_text

%files fbsplash
/sbin/suspend2ui_fbsplash
%if %{usplash}
/sbin/suspend2ui_usplash
%endif

%changelog
* Thu Mar 29 2007 Matthias Hensler <matthias@wspse.de> 0.6.4-4.cubbi2
- do not build usplash as default.

* Fri Mar 16 2007 Matthias Hensler <matthias@wspse.de> 0.6.4-4.cubbi1
- rebuild for Redhat Enterprise Linux 5.

* Sun Jan 21 2007 Matthias Hensler <matthias@wspse.de> 0.6.4-3.cubbi4
- replaced dirty-patch with workaround from Debians BTS (#389317).

* Sun Jan 21 2007 Matthias Hensler <matthias@wspse.de> 0.6.4-3.cubbi3
- added dirty patch as workaround against missing MAX_ERRNO declaration
  in Linux 2.6.19.

* Sun Jan 21 2007 Matthias Hensler <matthias@wspse.de> 0.6.4-3.cubbi2
- updated syscall-patch to reflect changes in 0.6.5-pre1 SVN version.

* Fri Jan 19 2007 Matthias Hensler <matthias@wspse.de> 0.6.4-3.cubbi1
- send ack on cleanup (needed for suspend >= 2.2.9.1).

* Mon Oct 23 2006 Matthias Hensler <matthias@wspse.de> 0.6.4-2.cubbi3
- build usplash only on x86-platforms.

* Fri Oct 20 2006 Matthias Hensler <matthias@wspse.de> 0.6.4-2.cubbi2
- rebuild for Fedora Core 6 final.

* Tue Sep 19 2006 Matthias Hensler <matthias@wspse.de> 0.6.4-2.cubbi1
- rebuild for FC5t3.

* Thu Jun 15 2006 Matthias Hensler <matthias@wspse.de> 0.6.4-1.cubbi1
- update to 0.6.4.
- build static fbsplash and add usplash.

* Mon Mar 20 2006 Matthias Hensler <matthias@wspse.de> 0.6.3-3.cubbi1
- rebuild.

* Sun Mar 19 2006 Axel Thimm <Axel.Thimm@ATrpms.net> 0.6.3-2.cubbi2
- Allow building as non-root user.

* Sat Mar 18 2006 Matthias Hensler <matthias@wspse.de> 0.6.3-1.cubbi2
- build for Fedora Core 5 final.
- require libjpeg-static to build this package.

* Wed Feb 22 2006 Matthias Hensler <matthias@wspse.de> 0.6.3-1.cubbi1
- push themes into seperate package.

* Tue Feb 21 2006 Matthias Hensler <matthias@wspse.de> 0.6.3-0.cubbi2
- rename package to userui-suspend2 for FC5.

* Thu Dec 29 2005 Matthias Hensler <matthias@wspse.de> 0.6.3-0.cubbi1
- update to 0.6.3.

* Tue Dec 27 2005 Matthias Hensler <matthias@wspse.de> 0.6.2-0.cubbi1
- update to 0.6.2.

* Thu Nov 24 2005 Matthias Hensler <matthias@wspse.de> 0.6.1-0.cubbi2
- added Manzanatux theme by Eric Lassauge
  <lassauge@users.sourceforge.net>.
- fixed theme packages, so that themedirectory will be deleted on uninstall.

* Mon Aug 29 2005 Matthias Hensler <matthias@wspse.de> 0.6.1-0.cubbi1
- update to 0.6.1.

* Mon Aug 29 2005 Matthias Hensler <matthias@wspse.de> 0.6.0-0.cubbi1
- update to 0.6.0.

* Wed Jul 27 2005 Matthias Hensler <matthias@wspse.de> 0.5.3-0.cubbi1
- update to 0.5.3.

* Tue Jul 05 2005 Matthias Hensler <matthias@wspse.de> 0.5.1-0.cubbi1
- update to 0.5.1.

* Tue Jun 28 2005 Matthias Hensler <matthias@wspse.de> 0.5.0-0.cubbi1
- update to 0.5.0.

* Fri Jun 24 2005 Matthias Hensler <matthias@wspse.de> 0.4.0-0.cubbi1
- update to 0.4.0.
- updated build requires.

* Tue Jun 14 2005 Matthias Hensler <matthias@wspse.de> 0.3.1-0.cubbi4
- rebuild on FC4.

* Sat May 07 2005 Matthias Hensler <matthias@wspse.de> 0.3.1-0.cubbi3
- use seperate packages for the framebuffer ui.

* Sat May 07 2005 Matthias Hensler <matthias@wspse.de> 0.3.1-0.cubbi2
- use seperate packages for the themes

* Sat May 07 2005 Matthias Hensler <matthias@wspse.de> 0.3.1-0.cubbi1
- first build

